import http from '@/api'
import { type Dict } from '@/api/system/dictionary/interface'

//获取字典类型
export const getDictPqList = (params: Dict.ReqDictPqParams) => {
    return http.post(`/dictPq/list`, params)
}

//添加字典类型
export const addDictPq = (params: Dict.ResDictPq) => {
    return http.post(`/dictPq/add`, params)
}

//编辑字典类型
export const updateDictPq = (params: Dict.ResDictPq) => {
    return http.post(`/dictPq/update`, params)
}

//删除字典类型
export const deleteDictPq = (params: string[]) => {
    return http.post(`/dictPq/delete`, params)
}

